API ReferenceMilestone
Updates the Milestone resource
Updates the Milestone resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
Milestone identifier
The updated Milestone resource
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
length <= 100description?|
Length
length <= 500dateStart?string
Format
date-timestatus?|
Value in
- "todo"
- "on-hold"
- "at-risk"
- "done"
Response Body
curl -X PATCH "https://example.com/project/milestones/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "weight": 0, "name": "string", "dateStart": "2019-08-24T14:15:22Z", "description": "string", "status": "todo"}